#include<iostream>
#include<conio.h>
#include<string.h>

using namespace std;

class person
{
protected:			//access specifier 			
	string name;
	string gender;
	int age;

public:
	person(string n, string g, int a) :name(n), gender(g), age(a){
	}
	virtual void print_info() = 0;
};

class student :public person
{
public:			//access specifier 			
	int roll_no;
	int no_of_subjects;

	student(string n, string g, int a, int r, int no) :person(n, g, a), roll_no(r), no_of_subjects(no){
	}
	void print_info(){
		cout << endl << "Student information:" << endl << endl;
		cout << "Name: " << name << endl;
		cout << "Gender: " << gender << endl;
		cout << "Age: " << age << endl << endl;
		cout << "Roll number: " << roll_no << endl;
		cout << "No of subjects: " << no_of_subjects << endl;
	}

};

class employee :public person
{
public:
	int employee_id;
	int experience;

	employee(string n, string g, int a, int e_id, int e) :person(n, g, a), employee_id(e_id), experience(e){
	}
	void print_info(){
		cout << endl << endl << "Employee information:" << endl << endl;
		cout << "Name: " << name << endl;
		cout << "Gender: " << gender << endl;
		cout << "Age: " << age << endl << endl;
		cout << "Employee id: " << employee_id << endl;
		cout << "Experience: " << experience << endl;
	}
};



int main()
{
	person *arr[2];

	student s1("John", "male", 19, 4343, 5);
	employee e1("Elia", "female", 35, 1067, 8);

	arr[0] = &s1;
	arr[1] = &e1;

	arr[0]->print_info();
	arr[1]->print_info();

	system("pause");
}